# List accommodation review scores

Gives information about review scores for specified hotel_ids and filter.
The information consists of score breakdown per reviewer_type and review questions,
and overall score distribution per score value (1 - 10).

The available filter is input parameter reviewer_type=... .
It allows generating review score information for just one reviewer type.

Language in which the response is rendered can be controlled with the input parameter language=...
(default: 'en'). Setting the language will reflect on the output fields question and review_score_word.

One additional output field can be requested with input parameter extras=review_score_word.

Endpoint: GET /demand-api-v2-compatible/reviewScores
Version: 1.1
Security: BearerAuth

## Query parameters:

  - `reviewScoresInputDto` (object, required)

## Header parameters:

  - `Accept` (string)
    Enum: "application/json, application/xml"

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.hotel_id` (integer)
    Id of the hotel.

  - `result.hotel_url` (string)
    URL of the hotel's page on Booking.com.
    Example: "https://www.booking.com/hotel/nl/amsterdam-canal-hotel.html?tab=4&aid=338734&label=hotel-472820_reviewscore"

  - `result.score_breakdown` (array)
    A breakdown of scores per reviewer type and review question.

  - `result.score_breakdown.average_score` (number)
    Average score from this reviewer type.
    Example: 8.5

  - `result.score_breakdown.count` (integer)
    Number of responses from this reviewer type.

  - `result.score_breakdown.question` (array)
    Review scores per question.

  - `result.score_breakdown.question.count` (integer)
    Number of reviewers that answered the question.

  - `result.score_breakdown.question.question` (string)
    Localized question text. See language=... input parameter.

  - `result.score_breakdown.question.question_literal` (string)
    Question literal.

  - `result.score_breakdown.question.score` (number)
    Average score that reviewers provided in response to this question.
    Example: 8.5

  - `result.score_breakdown.reviewer_type` (string)
    Reviewer type.

  - `result.score_distribution` (array)
    A breakdown of all review scores into buckets 1 - 10.

  - `result.score_distribution.count` (integer)
    Total number of reviews in this bucket.
    Example: 435

  - `result.score_distribution.percent` (number)
    Percent of score distribution that went into this bucket.
    Example: 17.76

  - `result.score_distribution.score` (integer)
    The bucket's review score value (1 - 10).
    Example: 10


